﻿//
// Copyright (c) 2011, MindFusion LLC - Bulgaria.
//

using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace PieChart
{
    public class MonthlySales : INotifyPropertyChanged
    {
        private string month;
        private double profit;
        private double turnover;
        private double margin;

        public event PropertyChangedEventHandler PropertyChanged;

        public MonthlySales()
        {
            month = "January";
            profit = 10.0;
            turnover = 30.0;
            margin = 10.0;
        }

        public MonthlySales(string month, double profit, double turnover, double margin)
        {
            this.month = month;
            this.profit = profit;
            this.turnover = turnover;
            this.margin = margin;
        }


        public override string ToString()
        {
            return month.ToString();
        }

        public string Month
        {
            get { return month; }
            set
            {
                month = value;
                OnPropertyChanged("Month");
            }
        }

        public double Profit
        {
            get { return profit; }
            set
            {
                profit = value;
                OnPropertyChanged("Profit");
            }
        }

        public double Turnover
        {
            get { return turnover; }
            set
            {
                turnover = value;
                OnPropertyChanged("Turnover");
            }
        }

        public double Margin
        {
            get { return margin; }
            set
            {
                margin = value;
                OnPropertyChanged("Margin");
            }
        }

        protected void OnPropertyChanged(string info)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(info));
            }
        }
    }

    public class SalesList : ObservableCollection<MonthlySales>
    {
        public SalesList()
            : base()
        {
            Add(new MonthlySales("Jan", 145.62, 212.88, 27.66));
            Add(new MonthlySales("Feb", 105.88, 242.08, 18.04));
            Add(new MonthlySales("March", 313.45, 442.66, 32.12));
            Add(new MonthlySales("April", 298.28, 367.52, 25.43));
            Add(new MonthlySales("May", 303.15, 402.12, 23.19));
            Add(new MonthlySales("June", 219.14, 338.04, 19.44));

        }
    }
}