﻿//
// Copyright (c) 2011, MindFusion LLC - Bulgaria.
//

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using MindFusion.Charting.Wpf;
using System.Windows.Media.Effects;

namespace PieChart
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        SalesList sales;
        PieceOutTrackerList pieceOutIndexes;
    
        public Window1()
        {
            InitializeComponent();
            
            pieceOutIndexes = new PieceOutTrackerList(pieChart1);
            listBox1.ItemsSource = pieceOutIndexes;

            sales = new SalesList();
            pieChart1.DataSource = sales;
            PieSeries series = new PieSeries();
            pieChart1.Series.Add(series);
            series.Effect = new DropShadowEffect() { Opacity = 0.7, ShadowDepth = 3 };
            series.OuterLabelType = LabelType.CustomText;
			series.OuterLabelOffset = 25.0;
            series.OuterLabelPath = "Month";
            series.DataPath = "Profit";
            series.DetachedSlicesList = new DoubleCollection() { 0, 0, 0, 0, 0, 0 };
            series.LabelFontFamily = new FontFamily("Arial");
            pieChart1.TitleFontFamily = new FontFamily("Arial");
            pieChart1.HorizontalContentAlignment = HorizontalAlignment.Center;
            pieChart1.VerticalContentAlignment = VerticalAlignment.Center;

            series.Fills = new BrushCollection();
            series.Strokes = new BrushCollection();

            series.Fills.Add(Brushes.Red);
            series.Fills.Add(Brushes.Yellow);
            series.Fills.Add(Brushes.Green);
            series.Fills.Add(Brushes.Violet);
            series.Fills.Add(Brushes.SkyBlue);
            series.Fills.Add(Brushes.Pink);

            series.Strokes.Add(Brushes.Red);
            series.Strokes.Add(Brushes.Yellow);
            series.Strokes.Add(Brushes.Green);
            series.Strokes.Add(Brushes.Violet);
            series.Strokes.Add(Brushes.SkyBlue);
            series.Strokes.Add(Brushes.Pink);              
        }
      

        private void cb_InnerLabels_Checked(object sender, RoutedEventArgs e)
        {
            if (pieChart1.Series.Count == 0)
                return;
            PieSeries series = pieChart1.Series[0] as PieSeries;
            series.InnerLabelType = LabelType.Percents;
        }

        private void cb_InnerLabels_Unchecked(object sender, RoutedEventArgs e)
        {
            if (pieChart1.Series.Count == 0)
                return;
            PieSeries series = pieChart1.Series[0] as PieSeries;
            series.InnerLabelType = LabelType.Empty;
        }

        private void cb_OuterLabels_Checked(object sender, RoutedEventArgs e)
        {
            if (pieChart1.Series.Count == 0)
                return;
            PieSeries series = pieChart1.Series[0] as PieSeries;
            series.OuterLabelType = LabelType.CustomText;
        }

        private void cb_OuterLabels_Unchecked(object sender, RoutedEventArgs e)
        {
            if (pieChart1.Series.Count == 0)
                return;
            PieSeries series = pieChart1.Series[0] as PieSeries;
            series.OuterLabelType = LabelType.Empty;
        }

        private void cb_Doughnut_Checked(object sender, RoutedEventArgs e)
        {
            if (pieChart1.Series.Count == 0)
                return;
            PieSeries series = pieChart1.Series[0] as PieSeries;
            series.PieType = PieType.Doughnut2D;
			pieChart1.UpdateChart();
        }

        private void cb_Doughnut_Unchecked(object sender, RoutedEventArgs e)
        {
            if (pieChart1.Series.Count == 0)
                return;
            PieSeries series = pieChart1.Series[0] as PieSeries;
            series.PieType = PieType.Pie2D;
			pieChart1.UpdateChart();
        }        
    }
}
